Package fr.gouv.vitam.worker.core.plugin.massprocessing

# Enum Class DistributionStatus

java.lang.Object
java.lang.Enum<DistributionStatus>
fr.gouv.vitam.worker.core.plugin.massprocessing.DistributionStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<DistributionStatus>`, `Constable`

public enum DistributionStatus extends Enum<DistributionStatus>
Enumeration of distribution status

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FATAL`
  indicates a critical error such as technical Exception
  `KO`
  indicates the failed execution of the action
  `OK`
  indicates the successful without warning
  `WARNING`
  indicates successful with a general warning

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDistributionStatusLevel()`
  getDistributionStatusLevel
  `static DistributionStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DistributionStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OK

    public static final DistributionStatus OK
    indicates the successful without warning

  - ### WARNING

    public static final DistributionStatus WARNING
    indicates successful with a general warning

  - ### KO

    public static final DistributionStatus KO
    indicates the failed execution of the action

  - ### FATAL

    public static final DistributionStatus FATAL
    indicates a critical error such as technical Exception

- ## Method Details

  - ### values

    public static DistributionStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DistributionStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDistributionStatusLevel

    public int getDistributionStatusLevel()
    getDistributionStatusLevel
    Returns:
      Distribution Status Level